CSPLIT(1)

NOM
csplit - Découper un fichier en sections définies par des lignes de contexte

SYNOPSIS
csplit [OPTION]... FICHIER PATRON...

DESCRIPTION

Produire des morceaux du FICHIER séparés par PATRON(s) vers les fichiers « xx01 », « xx02 », ... et afficher le nombre d'octets de chaque morceau sur la sortie standard.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-b, --suffix-format=FORMAT
    utiliser le FORMAT sprintf au lieu de %02d

-f, --prefix=PRÉFIXE
    utiliser le PRÉFIXE au lieu de « xx »

-k, --keep-files
    ne pas détruire les fichiers de sortie en cas d'erreur

-n, --digits=NOMBRE
    utiliser le nombre de chiffres indiqué au lieu de 2

-s, --quiet, --silent
    ne pas afficher la taille des fichiers de sortie

-z, --elide-empty-files
    détruire les fichiers de sortie vides

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

L'entrée standard est lue quand FICHIER vaut « - ». Chaque PATRON peut être :

ENTIER
    copier jusqu'à la ligne indiquée sans l'inclure

/REGEXP/[SAUT]
    copier jusqu'à la détection d'une ligne qui corresponde mais sans l'inclure

%REGEXP%[SAUT]
    escamoter jusqu'à une ligne qui corresponde, mais sans l'inclure

{ENTIER}
    répéter le patron précédent le nombre de fois indiqué

{*} répéter le patron précédent autant de fois que possible

Un SAUT de lignes est constitué d'un « + » ou « - » suivi d'un entier positif.

AUTEUR
Écrit par Stuart Kemp et David MacKenzie.

SIGNALER DES BOGUES
Signaler toute anomalie de csplit à bug-coreutils@gnu.org
Page d'accueil de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Aide générale sur l'utilisation des logiciels GNU : <http://www.gnu.org/gethelp/>
Signaler toute erreur de traduction de csplit à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète pour csplit est disponible dans un manuel Texinfo. Si les programmes info et csplit sont correctement installés sur votre système, la commande

    info coreutils 'csplit invocation'

devrait vous donner accès au manuel complet (en anglais).

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Sylvain Archenault <sylvain DOT archenault AT laposte DOT net> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.